<?php

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $template;

include_once(STUFFS_PATH . 'include/class.inc.php');
include(STUFFS_PATH . 'include/functions.inc.php');

$stuffs = new stuffs();

$template->set_template_dir(STUFFS_PATH.'theme/template/');
$template->set_filename('stuffs', 'stuffs_blocks.tpl');

if (script_basename() == 'index')
{
  $begin = 'PLUGIN_INDEX_CONTENT_BEFORE';
  $end = 'PLUGIN_INDEX_CONTENT_AFTER';
  $template->set_prefilter( 'header', array('stuffs', 'prefilter_index_css') );
}
else
{
  $begin = 'PLUGIN_PICTURE_BEFORE';
  $end = 'PLUGIN_PICTURE_AFTER';
  $template->set_prefilter('header', array('stuffs', 'prefilter_picture_css'));
  pwgs_picture_special_sections();
}

if (!empty($stuffs->blocks['begin']))
{
  $template->assign('blocks', $stuffs->blocks['begin']);
  $template->concat($begin,	$template->parse('stuffs', true));
}
if (!empty($stuffs->blocks['end']))
{
  $template->assign('blocks', $stuffs->blocks['end']);
  $template->concat($end,	$template->parse('stuffs', true));
}

?>